cmake_minimum_required(VERSION 3.21)
project(CandyCrush LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 20)

set(BUILD_SHARED_LIBS OFF)
set(SFML_USE_STATIC_STD_LIBS ON)
set(SFML_BUILD_AUDIO ON)
set(SFML_BUILD_GRAPHICS ON)
set(SFML_BUILD_NETWORK OFF)
set(SFML_USE_SYSTEM_DEPS OFF)
set(SFML_BUILD_EXAMPLES OFF)

include(FetchContent)
FetchContent_Declare(SFML
        GIT_REPOSITORY https://github.com/SFML/SFML.git
        GIT_TAG 3.0.2
)
FetchContent_MakeAvailable(SFML)

add_executable(CandyCrush src/main.cpp)
target_link_libraries(CandyCrush PRIVATE sfml-graphics sfml-audio)


